Skip to main content

Cancel Withdrawal

Cancel a pending withdrawal request.

HTTP Request

POST /api/v1/spot/account/cancel-withdraw

Request Parameters

ParameterTypeRequiredDescription
orderIdstringYesWithdrawal order ID

Request Example

curl -X POST "https://open-api.bydoxe.com/api/v1/spot/account/cancel-withdraw" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000" \
-H "Content-Type: application/json" \
-d '{
"orderId": "12345"
}'

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
datastringResult message (or null)

Response Example

Success Response

{
"code": "00000",
"msg": "success",
"requestTime": 1732000000000,
"data": "success"
}

Error Codes

CodeMessage
40001Invalid orderId
40002Unauthorized
40004Withdraw order not found
40006Cannot cancel withdraw with status: status
50000System error